/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.ntnu.idi.lqwebclient.client.gamemode;

import com.google.gwt.event.shared.HandlerManager;
import org.ntnu.idi.lqwebclient.client.presenter.AbstractGameModePresenter;
import org.ntnu.idi.lqwebclient.client.service.LQserviceAsync;


/**
 * Interface for all game mode factories. Used for returning a valid GameModePresenter for the given game mode id.
 *
 * @author avenger
 */
public interface IGameModeFactory {
    public String getGameModeID();
    public String getGameModeName();

    /**
     * @param rpcService
     * @param eventBus
     * @return An GameModePresenter instance for the given game mode.
     */
    public AbstractGameModePresenter createInstance(LQserviceAsync rpcService, HandlerManager eventBus);
}
