/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.ntnu.idi.lqwebclient.client.presenter;

import com.google.gwt.event.shared.HandlerManager;
import com.google.gwt.user.client.ui.HasWidgets;
import org.ntnu.idi.lqwebclient.client.service.LQserviceAsync;

/**
 * Abstract class for all GameModePresenters. Used for having all generic code in one place
 * @author erlingbo
 */
public abstract class AbstractGameModePresenter implements Presenter{
    protected final LQserviceAsync rpcService;
    protected final HandlerManager eventBus;

    public AbstractGameModePresenter(LQserviceAsync rpcService, HandlerManager eventBus) {
        this.rpcService = rpcService;
        this.eventBus = eventBus;
    }
    public abstract void go(HasWidgets container);

}
