/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package lecturequiz.teacherclient.gamemodes;

import javax.swing.JComponent;

/**
 *
 * @author avenger
 */
public class PlainGameFactory implements IGameModeFactory {

    public PlainGameFactory() {
        
    }

    /**
     * Returns the String ID of this game mode
     * @return String representation of the game mode ID
     */
    public String getGameModeID() {
        return "PlainGame";
    }

    /**
     * Returns the game mode name
     * @return Game mode name
     */
    public String getGameModeName() {
        return "Plain Game";
    }

    /**
     * Creates an instance of the PlainGame class
     * @return PlainGame class instance
     */
    public AbstractGameMode createInstance(JComponent parent) {
        return new PlainGame(parent);
    }

}
