/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.ntnu.idi.lqwebclient.client;

import com.google.gwt.event.shared.HandlerManager;
import com.google.gwt.user.client.ui.Panel;
import org.ntnu.idi.lqwebclient.client.presenter.LogInPresenter;
import org.ntnu.idi.lqwebclient.client.presenter.Presenter;
import org.ntnu.idi.lqwebclient.client.service.LQserviceAsync;
import org.ntnu.idi.lqwebclient.client.view.LogInView;

/**
 * This is the main application controller. Everythin is started and controlled from this class.
 * @author erlingbo
 */
public class AppController {
    
     LQserviceAsync rpcService;

     //The eventbus is not used in our code at this time, but is supported in our project for future use.
     HandlerManager eventBus;

     Panel rootPanel;

    public AppController(LQserviceAsync rpcService, HandlerManager eventBus){
        this.rpcService = rpcService;
        this.eventBus = eventBus;

    }

    public void go(Panel rootPanel){
        this.rootPanel = rootPanel;

        Presenter presenter = new LogInPresenter(rpcService, eventBus, new LogInView());
        presenter.go(rootPanel);
    }

}
