/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.ntnu.idi.lqwebclient.client.holder;

import java.io.Serializable;

/**
 * Holder class for statistics. Build with a key and a corresponding value. Used for sending statistics over GWT-RPC
 * @author erlingbo
 */
public class StatisticsHolder implements Serializable{
    protected String key;
    protected String value;

    public StatisticsHolder(){
        this.key = "";
        this.value = "Dummy";
    }
    public StatisticsHolder(String key, String value){
        this.key = key;
        this.value = value;
    }
    public String getKey(){ return this.key; }
    public String getValue() { return this.value;}

    @Override
    public String toString(){
        return "StatisticsHolder: " + this.key + " - " + this.value;
    }
}


