/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.ntnu.idi.lqwebclient.client.service;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;
import java.util.List;
import org.ntnu.idi.lqwebclient.client.exception.AnswerException;
import org.ntnu.idi.lqwebclient.client.exception.EndOfQuizException;
import org.ntnu.idi.lqwebclient.client.exception.GenericLQException;
import org.ntnu.idi.lqwebclient.client.holder.QuestionHolder;
import org.ntnu.idi.lqwebclient.client.holder.StatisticsHolder;
import org.ntnu.idi.lqwebclient.client.holder.UserHolder;

/**
 * The service interface to be used with GWT-RPC
 * @author erlingbo
 */
@RemoteServiceRelativePath("services/lqservice")
public interface LQservice extends RemoteService {
    public String authenticate(String username) throws GenericLQException;
    public String isGamemodeCompatible(String quizcode) throws GenericLQException;
    public boolean joinQuiz(String quizcode) throws GenericLQException;
    public QuestionHolder getCurrentQuestion() throws GenericLQException, EndOfQuizException;
    public List<StatisticsHolder> getQuestionStatistics() throws GenericLQException;
    public boolean submitAnswer(int answerId) throws GenericLQException, AnswerException;
    public List<StatisticsHolder> getOverallStatistics() throws GenericLQException;
    public UserHolder getUser() throws GenericLQException;
}
