/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.ntnu.idi.lqwebclient.client.service;

import com.google.gwt.user.client.rpc.AsyncCallback;
import java.util.List;
import org.ntnu.idi.lqwebclient.client.holder.QuestionHolder;
import org.ntnu.idi.lqwebclient.client.holder.StatisticsHolder;
import org.ntnu.idi.lqwebclient.client.holder.UserHolder;



/**
 * The asyncronious interface used with GWT-RPC
 * @author erlingbo
 */
public interface LQserviceAsync {
    public void authenticate(String username, AsyncCallback<String> callback);
    public void isGamemodeCompatible(String quizcode, AsyncCallback<String> asyncCallback);
    public void joinQuiz(String quizcode, AsyncCallback<Boolean> asyncCallback);
    public void getCurrentQuestion(AsyncCallback<QuestionHolder> asyncCallback);
    public void getQuestionStatistics(AsyncCallback<List<StatisticsHolder>> asyncCallback);
    public void submitAnswer(int answerId, AsyncCallback<Boolean> asyncCallback);
    public void getOverallStatistics(AsyncCallback<List<StatisticsHolder>> asyncCallback);
    public void getUser(AsyncCallback<UserHolder> asyncCallback);
}
