/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package lecturequiz.server.main;

/**
 * Very simple DB manager to give us an instance of a database backend.
 * @author Knut Andre Tidemann
 */
public class DBManager {
    /**
     * Empty private constructor
     */
    private DBManager() {

    }

    /**
     * Returns an instance of a class implementing DBInterface. A new connection
     * is made for each call.
     * @return DBManager instance.
     */
    public static synchronized DBInterface getInstance() {
        return new MySQLDB();
    }
}
